<?php
/*
  $Id$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2020 osCommerce

  Released under the GNU General Public License
  Updated by JcMagpie 24-03-2020 V1.0
*/

  class cm_i_index_banner2 {
    var $code;
    var $group;
    var $title;
    var $description;
    var $sort_order;
    var $enabled = false;

    function __construct() {
      $this->code = get_class($this);
      $this->group = basename(dirname(__FILE__));

      $this->title = MODULE_CONTENT_INDEX_BANNER2_TITLE;
      $this->description = MODULE_CONTENT_INDEX_BANNER2_DESCRIPTION;
      $this->description .= '<div class="secWarning">' . MODULE_CONTENT_BOOTSTRAP_ROW_DESCRIPTION . '</div>';

      if ( defined('MODULE_CONTENT_INDEX_BANNER2_STATUS') ) {
        $this->sort_order = MODULE_CONTENT_INDEX_BANNER2_SORT_ORDER;
        $this->enabled = (MODULE_CONTENT_INDEX_BANNER2_STATUS == 'True');
      }
    }

    
    function execute() {
      global $PHP_SELF, $lng, $oscTemplate, $language;

      if (tep_not_null(MODULE_CONTENT_INDEX_BANNER2_CONTENT_PAGES)) {
        $pages_array = array();

        foreach (explode(';', MODULE_CONTENT_INDEX_BANNER2_CONTENT_PAGES) as $page) {
          $page = trim($page);

          if (!empty($page)) {
            $pages_array[] = $page;
          }
        }

        if (in_array(basename($PHP_SELF), $pages_array)) {
      
      $content_width = (int)MODULE_CONTENT_INDEX_BANNER2_CONTENT_WIDTH;
      
     
      ob_start();
      include('includes/modules/content/' . $this->group . '/templates/tpl_' . basename(__FILE__));
      $template = ob_get_clean();

      $oscTemplate->addContent($template, $this->group);
        }
      }
    }

    function isEnabled() {
      return $this->enabled;
    }

    function check() {
      return defined('MODULE_CONTENT_INDEX_BANNER2_STATUS');
    }

    function install() {
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Enable jcm carouselbanner Module', 'MODULE_CONTENT_INDEX_BANNER2_STATUS', 'True', 'Do you want to enable JcM carouselbanner module?', '6', '1', 'tep_cfg_select_option(array(\'True\', \'False\'), ', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Content Width', 'MODULE_CONTENT_INDEX_BANNER2_CONTENT_WIDTH', '12', 'What width container should the content be shown in?', '6', '2', 'tep_cfg_select_option(array(\'12\', \'11\', \'10\', \'9\', \'8\', \'7\', \'6\', \'5\', \'4\', \'3\', \'2\', \'1\'), ', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added) values ('Pages', 'MODULE_CONTENT_INDEX_BANNER2_CONTENT_PAGES', '" . implode(';', $this->get_default_pages()) . "', 'The pages to add the JcM carouselbanner to.', '6', '4', 'cm_index_banner2r_show_pages', 'cm_index_banner2r_edit_pages(', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Sort Order', 'MODULE_CONTENT_INDEX_BANNER2_SORT_ORDER', '4', 'Sort order of display. Lowest is displayed first.', '6', '5', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Block on screen size', 'MODULE_CONTENT_INDEX_BANNER2_VISABLE_CLASS', '', 'block on screen size?', '6', '1', 'tep_cfg_select_option(array(\'\',\'d-none d-sm-block\',\'d-none d-md-block\',\'d-none d-lg-block\', \'d-none d-xl-block\'), ', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Add box shadow', 'MODULE_CONTENT_INDEX_BANNER2_BOX_SHADOW', '0px 0px 10px 2px #7f7f7f', 'shadow', '6', '5', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Box shadow color', 'MODULE_CONTENT_INDEX_BANNER2_BORDER_COLOR', '#f8f9fa', 'color', '6', '5', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Box max height', 'MODULE_CONTENT_INDEX_BANNER2_MAX_HEIGHT', '150px', '% or px', '6', '5', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Box margin right', 'MODULE_CONTENT_INDEX_BANNER2_MARGIN_RIGHT', '15px', 'px or rem', '6', '5', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Box margin left', 'MODULE_CONTENT_INDEX_BANNER2_MARGIN_LEFT', '15px', 'px or rem', '6', '5', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Box margin top', 'MODULE_CONTENT_INDEX_BANNER2_MARGIN_TOP', '0px', 'px or rem', '6', '5', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Box margin bottom', 'MODULE_CONTENT_INDEX_BANNER2_MARGIN_BOTTOM', '15px', 'px or rem', '6', '5', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Box padding bottom', 'MODULE_CONTENT_INDEX_BANNER2_PADDING_BOTTOM', '0px', 'px or rem', '6', '5', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Box border top', 'MODULE_CONTENT_INDEX_BANNER2_BORDER_TOP', '0px', 'px or rem', '6', '5', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Box border left', 'MODULE_CONTENT_INDEX_BANNER2_BORDER_LEFT', '0px', 'px or rem', '6', '5', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Box border right', 'MODULE_CONTENT_INDEX_BANNER2_BORDER_RIGHT', '0px', 'px or rem', '6', '5', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Box border bottom', 'MODULE_CONTENT_INDEX_BANNER2_BORDER_BOTTOM', '0px', 'px or rem', '6', '5', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Box image top margin', 'MODULE_CONTENT_INDEX_BANNER2_IMAGE_TOP', '0px', 'px or rem', '6', '5', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Box image padding', 'MODULE_CONTENT_INDEX_BANNER2_IMAGE_PADDING', '0px', 'px or rem', '6', '5', now())");
     
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('change ', 'MODULE_CONTENT_INDEX_BANNER2_CAROUSEL', 'slide carousel-fade', 'slide or fade', '6', '1', 'tep_cfg_select_option(array(\'slide\', \'slide carousel-fade\'), ', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('time between slides', 'MODULE_CONTENT_INDEX_BANNER2_DATA_INTERVAL', '5000', 'delay', '6', '8', now())");
      
         
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Banner text color B1', 'MODULE_CONTENT_INDEX_BANNER2_TITLEC1', 'blue', 'color', '6', '5', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Banner text color B2', 'MODULE_CONTENT_INDEX_BANNER2_TITLEC2', 'blue', 'color', '6', '5', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Banner text color B3', 'MODULE_CONTENT_INDEX_BANNER2_TITLEC3', 'white', 'color', '6', '5', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Banner text color B4', 'MODULE_CONTENT_INDEX_BANNER2_TITLEC4', 'white', 'color', '6', '5', now())");
      
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Banner text color B5', 'MODULE_CONTENT_INDEX_BANNER2_TITLEC5', 'blue', 'color', '6', '5', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Banner text color B6', 'MODULE_CONTENT_INDEX_BANNER2_TITLEC6', 'blue', 'color', '6', '5', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Banner text color B7', 'MODULE_CONTENT_INDEX_BANNER2_TITLEC7', 'white', 'color', '6', '5', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Banner text color B8', 'MODULE_CONTENT_INDEX_BANNER2_TITLEC8', 'white', 'color', '6', '5', now())");
      
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Banner2 Start date', 'MODULE_CONTENT_INDEX_BANNER2_2_STARTDATE', '01-01-2019', 'Date dd-mm-yyyy', '6', '5', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Banner2 End date', 'MODULE_CONTENT_INDEX_BANNER2_2_ENDDATE', '01-01-2030', 'Date dd-mm-yyyy', '6', '5', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Banner3 Start date', 'MODULE_CONTENT_INDEX_BANNER2_3_STARTDATE', '01-01-2019', 'Date dd-mm-yyyy', '6', '5', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Banner3 End date', 'MODULE_CONTENT_INDEX_BANNER2_3_ENDDATE', '01-01-2030', 'Date dd-mm-yyyy', '6', '5', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Banner4 Start date', 'MODULE_CONTENT_INDEX_BANNER2_4_STARTDATE', '01-01-2019', 'Date dd-mm-yyyy', '6', '5', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Banner4 End date', 'MODULE_CONTENT_INDEX_BANNER2_4_ENDDATE', '01-01-2030', 'Date dd-mm-yyyy', '6', '5', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Banner5 Start date', 'MODULE_CONTENT_INDEX_BANNER2_5_STARTDATE', '01-01-2019', 'Date dd-mm-yyyy', '6', '5', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Banner5 End date', 'MODULE_CONTENT_INDEX_BANNER2_5_ENDDATE', '01-01-2030', 'Date dd-mm-yyyy', '6', '5', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Banner6 Start date', 'MODULE_CONTENT_INDEX_BANNER2_6_STARTDATE', '01-01-2019', 'Date dd-mm-yyyy', '6', '5', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Banner6 End date', 'MODULE_CONTENT_INDEX_BANNER2_6_ENDDATE', '01-01-2030', 'Date dd-mm-yyyy', '6', '5', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Banner7 Start date', 'MODULE_CONTENT_INDEX_BANNER2_7_STARTDATE', '01-01-2019', 'Date dd-mm-yyyy', '6', '5', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Banner7 End date', 'MODULE_CONTENT_INDEX_BANNER2_7_ENDDATE', '01-01-2030', 'Date dd-mm-yyyy', '6', '5', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Banner8 Start date', 'MODULE_CONTENT_INDEX_BANNER2_8_STARTDATE', '01-01-2019', 'Date dd-mm-yyyy', '6', '5', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Banner8 End date', 'MODULE_CONTENT_INDEX_BANNER2_8_ENDDATE', '01-01-2030', 'Date dd-mm-yyyy', '6', '5', now())");
      
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Banner text size', 'MODULE_CONTENT_INDEX_BANNER2_TEXTSIZE', '2vw', 'size', '6', '5', now())");
      
    }
    
    
    function remove() {
      tep_db_query("delete from configuration where configuration_key in ('" . implode("', '", $this->keys()) . "')");
    }

    function keys() { 
    return array( 'MODULE_CONTENT_INDEX_BANNER2_STATUS',
      'MODULE_CONTENT_INDEX_BANNER2_CONTENT_PAGES',
      'MODULE_CONTENT_INDEX_BANNER2_CONTENT_WIDTH',
      'MODULE_CONTENT_INDEX_BANNER2_SORT_ORDER',
      'MODULE_CONTENT_INDEX_BANNER2_VISABLE_CLASS',
      'MODULE_CONTENT_INDEX_BANNER2_BOX_SHADOW',
      'MODULE_CONTENT_INDEX_BANNER2_BORDER_COLOR',
      'MODULE_CONTENT_INDEX_BANNER2_MAX_HEIGHT',
      'MODULE_CONTENT_INDEX_BANNER2_MARGIN_RIGHT',
      'MODULE_CONTENT_INDEX_BANNER2_MARGIN_LEFT',
      'MODULE_CONTENT_INDEX_BANNER2_MARGIN_TOP',
      'MODULE_CONTENT_INDEX_BANNER2_MARGIN_BOTTOM',
      'MODULE_CONTENT_INDEX_BANNER2_PADDING_BOTTOM',
      'MODULE_CONTENT_INDEX_BANNER2_BORDER_TOP',
      'MODULE_CONTENT_INDEX_BANNER2_BORDER_RIGHT',
      'MODULE_CONTENT_INDEX_BANNER2_BORDER_LEFT',
      'MODULE_CONTENT_INDEX_BANNER2_BORDER_BOTTOM',
      'MODULE_CONTENT_INDEX_BANNER2_IMAGE_TOP',
      'MODULE_CONTENT_INDEX_BANNER2_IMAGE_PADDING',
      'MODULE_CONTENT_INDEX_BANNER2_CAROUSEL',
      'MODULE_CONTENT_INDEX_BANNER2_DATA_INTERVAL',
      
      'MODULE_CONTENT_INDEX_BANNER2_TITLEC1',
      'MODULE_CONTENT_INDEX_BANNER2_TITLEC2',
      'MODULE_CONTENT_INDEX_BANNER2_TITLEC3',
      'MODULE_CONTENT_INDEX_BANNER2_TITLEC4',
      'MODULE_CONTENT_INDEX_BANNER2_TITLEC5',
      'MODULE_CONTENT_INDEX_BANNER2_TITLEC6',
      'MODULE_CONTENT_INDEX_BANNER2_TITLEC7',
      'MODULE_CONTENT_INDEX_BANNER2_TITLEC8',
      'MODULE_CONTENT_INDEX_BANNER2_2_STARTDATE',
      'MODULE_CONTENT_INDEX_BANNER2_2_ENDDATE',
      'MODULE_CONTENT_INDEX_BANNER2_3_STARTDATE',
      'MODULE_CONTENT_INDEX_BANNER2_3_ENDDATE',
      'MODULE_CONTENT_INDEX_BANNER2_4_STARTDATE',
      'MODULE_CONTENT_INDEX_BANNER2_4_ENDDATE',
      'MODULE_CONTENT_INDEX_BANNER2_5_STARTDATE',
      'MODULE_CONTENT_INDEX_BANNER2_5_ENDDATE',
      'MODULE_CONTENT_INDEX_BANNER2_6_STARTDATE',
      'MODULE_CONTENT_INDEX_BANNER2_6_ENDDATE',
      'MODULE_CONTENT_INDEX_BANNER2_7_STARTDATE',
      'MODULE_CONTENT_INDEX_BANNER2_7_ENDDATE',
      'MODULE_CONTENT_INDEX_BANNER2_8_STARTDATE',
      'MODULE_CONTENT_INDEX_BANNER2_8_ENDDATE',
      'MODULE_CONTENT_INDEX_BANNER2_TEXTSIZE');
      
    
  }
  
    function get_default_pages() {
      return array('index.php');
    }
  }

  function cm_index_banner2r_show_pages($text) {
  	return nl2br(implode("\n", explode(';', $text)));
  }

  function cm_index_banner2r_edit_pages($values, $key) {
    global $PHP_SELF;

    $file_extension = substr($PHP_SELF, strrpos($PHP_SELF, '.'));
    $files_array = array();
	  if ($dir = @dir(DIR_FS_CATALOG)) {
	    while ($file = $dir->read()) {
	      if (!is_dir(DIR_FS_CATALOG . $file)) {
	        if (substr($file, strrpos($file, '.')) == $file_extension) {
            $files_array[] = $file;
          }
        }
      }
      sort($files_array);
      $dir->close();
    }

    $values_array = explode(';', $values);

    $output = '';
    foreach ($files_array as $file) {
      $output .= tep_draw_checkbox_field('cm_index_banner2_file[]', $file, in_array($file, $values_array)) . '&nbsp;' . tep_output_string($file) . '<br />';
    }

    if (!empty($output)) {
      $output = '<br />' . substr($output, 0, -6);
    }

    $output .= tep_draw_hidden_field('configuration[' . $key . ']', '', 'id="htrn_files"');

    $output .= '<script>
                function htrn_update_cfg_value() {
                  var htrn_selected_files = \'\';

                  if ($(\'input[name="cm_index_banner2_file[]"]\').length > 0) {
                    $(\'input[name="cm_index_banner2_file[]"]:checked\').each(function() {
                      htrn_selected_files += $(this).attr(\'value\') + \';\';
                    });

                    if (htrn_selected_files.length > 0) {
                      htrn_selected_files = htrn_selected_files.substring(0, htrn_selected_files.length - 1);
                    }
                  }

                  $(\'#htrn_files\').val(htrn_selected_files);
                }

                $(function() {
                  htrn_update_cfg_value();

                  if ($(\'input[name="cm_index_banner2_file[]"]\').length > 0) {
                    $(\'input[name="cm_index_banner2_file[]"]\').change(function() {
                      htrn_update_cfg_value();
                    });
                  }
                });
                </script>';

    return $output;
  }