<?php
/*
  $Id$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2018 osCommerce

  Released under the GNU General Public License
  V1.0 by JcMagpie 06-02-2020 Animate Class
*/

  class ht_jcm_animate {
    var $code = 'ht_jcm_animate';
    var $group = 'header_tags';
    var $title;
    var $description;
    var $sort_order;
    var $enabled = false;

    function __construct() {
      $this->title = MODULE_HEADER_TAGS_JCM_ANIMATE_TITLE;
      $this->description = MODULE_HEADER_TAGS_JCM_ANIMATE_DESCRIPTION;

      if ( defined('MODULE_HEADER_TAGS_JCM_ANIMATE_STATUS') ) {
        $this->sort_order = MODULE_HEADER_TAGS_JCM_ANIMATE_SORT_ORDER;
        $this->enabled = (MODULE_HEADER_TAGS_JCM_ANIMATE_STATUS == 'True');
      }
    }

    function execute() {
      global $PHP_SELF, $oscTemplate, $Global;
      
       
      if (tep_not_null(MODULE_HEADER_TAGS_JCM_ANIMATE_PAGES)) {
        $pages_array = array();

        foreach (explode(';', MODULE_HEADER_TAGS_JCM_ANIMATE_PAGES) as $page) {
          $page = trim($page);

          if (!empty($page)) {
            $pages_array[] = $page;
          }
        }

        if (in_array(basename($PHP_SELF), $pages_array)) {
            
 $oscTemplate->addBlock('<link rel="stylesheet" href="ext/animate/animate.css" />' . "\n", 'header_tags');
        	$oscTemplate->addBlock($script, $this->group);
        }
      }
    }

    function isEnabled() {
      return $this->enabled;
    }

    function check() {
      return defined('MODULE_HEADER_TAGS_JCM_ANIMATE_STATUS');
    }

    function install() {
         tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Enable JcM Animate', 'MODULE_HEADER_TAGS_JCM_ANIMATE_STATUS', 'True', 'JcM Animate', '6', '1', 'tep_cfg_select_option(array(\'True\', \'False\'), ', now())");
	     tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added) values ('Pages', 'MODULE_HEADER_TAGS_JCM_ANIMATE_PAGES', '" . implode(';', $this->get_default_pages()) . "', 'The pages to add JcM Animate to.', '6', '4', 'ht_jcm_animate_show_pages', 'ht_jcm_animate_edit_pages(', now())");
	     tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Sort Order', 'MODULE_HEADER_TAGS_JCM_ANIMATE_SORT_ORDER', '10', 'Sort order of display. Lowest is displayed first.', '6', '5', now())");
        
         tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Pick animation1', 'MODULE_HEADER_TAGS_JCM_ANIMATE_CLASS1', 'flipInX', 'animation type', '6', '1', 'tep_cfg_select_option(array(\'\', \'flipInX\', \'flipInY\', \'bounce\', \'jackInTheBox\', \'pulse\', \'rubberBand\', \'shake\', \'bounceIn\', \'fadeIn\', \'rollIn\', \'swing\', \'tada\', \'jello\', \'heartBeat\', \'bounceInDown\', \'rotateIn\', \'slideInUp\', \'slideinDown\', \'zoomIn\'), ', now())");
	     tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Pick animation2', 'MODULE_HEADER_TAGS_JCM_ANIMATE_CLASS2', 'flipInY', 'animation type', '6', '1', 'tep_cfg_select_option(array(\'\', \'flipInX\', \'flipInY\', \'bounce\', \'jackInTheBox\', \'pulse\', \'rubberBand\', \'shake\', \'bounceIn\', \'fadeIn\', \'rollIn\', \'swing\', \'tada\', \'jello\', \'heartBeat\', \'bounceInDown\', \'rotateIn\', \'slideInUp\', \'slideinDown\', \'zoomIn\'), ', now())");
	     tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Pick animation3', 'MODULE_HEADER_TAGS_JCM_ANIMATE_CLASS3', 'slideInUp', 'animation type', '6', '1', 'tep_cfg_select_option(array(\'\', \'flipInX\', \'flipInY\', \'bounce\', \'jackInTheBox\', \'pulse\', \'rubberBand\', \'shake\', \'bounceIn\', \'fadeIn\', \'rollIn\', \'swing\', \'tada\', \'jello\', \'heartBeat\', \'bounceInDown\', \'rotateIn\', \'slideInUp\', \'slideinDown\', \'zoomIn\'), ', now())");
	     tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Pick animation4', 'MODULE_HEADER_TAGS_JCM_ANIMATE_CLASS4', 'slideinDown', 'animation type', '6', '1', 'tep_cfg_select_option(array(\'\', \'flipInX\', \'flipInY\', \'bounce\', \'jackInTheBox\', \'pulse\', \'rubberBand\', \'shake\', \'bounceIn\', \'fadeIn\', \'rollIn\', \'swing\', \'tada\', \'jello\', \'heartBeat\', \'bounceInDown\', \'rotateIn\', \'slideInUp\', \'slideinDown\', \'zoomIn\'), ', now())");
	     tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Pick animation5', 'MODULE_HEADER_TAGS_JCM_ANIMATE_CLASS5', 'zoomIn', 'animation type', '6', '1', 'tep_cfg_select_option(array(\'\', \'flipInX\', \'flipInY\', \'bounce\', \'jackInTheBox\', \'pulse\', \'rubberBand\', \'shake\', \'bounceIn\', \'fadeIn\', \'rollIn\', \'swing\', \'tada\', \'jello\', \'heartBeat\', \'bounceInDown\', \'rotateIn\', \'slideInUp\', \'slideinDown\', \'zoomIn\'), ', now())");
	     tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Pick animation6', 'MODULE_HEADER_TAGS_JCM_ANIMATE_CLASS6', 'bounceIn', 'animation type', '6', '1', 'tep_cfg_select_option(array(\'\', \'flipInX\', \'flipInY\', \'bounce\', \'jackInTheBox\', \'pulse\', \'rubberBand\', \'shake\', \'bounceIn\', \'fadeIn\', \'rollIn\', \'swing\', \'tada\', \'jello\', \'heartBeat\', \'bounceInDown\', \'rotateIn\', \'slideInUp\', \'slideinDown\', \'zoomIn\'), ', now())");
	     tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Pick animation7', 'MODULE_HEADER_TAGS_JCM_ANIMATE_CLASS7', 'rotateIn', 'animation type', '6', '1', 'tep_cfg_select_option(array(\'\', \'flipInX\', \'flipInY\', \'bounce\', \'jackInTheBox\', \'pulse\', \'rubberBand\', \'shake\', \'bounceIn\', \'fadeIn\', \'rollIn\', \'swing\', \'tada\', \'jello\', \'heartBeat\', \'bounceInDown\', \'rotateIn\', \'slideInUp\', \'slideinDown\', \'zoomIn\'), ', now())");
	     tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Pick animation8', 'MODULE_HEADER_TAGS_JCM_ANIMATE_CLASS8', 'jello', 'animation type', '6', '1', 'tep_cfg_select_option(array(\'\', \'flipInX\', \'flipInY\', \'bounce\', \'jackInTheBox\', \'pulse\', \'rubberBand\', \'shake\', \'bounceIn\', \'fadeIn\', \'rollIn\', \'swing\', \'tada\', \'jello\', \'heartBeat\', \'bounceInDown\', \'rotateIn\', \'slideInUp\', \'slideinDown\', \'zoomIn\'), ', now())");
	    
         tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Animate1', 'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVE1', 'animated', 'animated or Blank', '6', '5', now())");
         tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Animate2', 'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVE2', 'animated', 'animated or Blank', '6', '5', now())");
         tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Animate3', 'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVE3', 'animated', 'animated or Blank', '6', '5', now())");
         tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Animate4', 'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVE4', 'animated', 'animated or Blank', '6', '5', now())");
         tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Animate5', 'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVE5', 'animated', 'animated or Blank', '6', '5', now())");
         tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Animate6', 'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVE6', 'animated', 'animated or Blank', '6', '5', now())");
         tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Animate7', 'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVE7', 'animated', 'animated or Blank', '6', '5', now())");
         tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Animate8', 'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVE8', 'animated', 'animated or Blank', '6', '5', now())");
          
         tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Text A delay', 'MODULE_HEADER_TAGS_JCM_ANIMATE_TEXTA_DELAY', 'delay-2s', 'delay in seconds', '6', '5', now())");
         tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Text B delay', 'MODULE_HEADER_TAGS_JCM_ANIMATE_TEXTB_DELAY', 'delay-2s', 'delay in seconds', '6', '5', now())");
        
         tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Pick animation text A1', 'MODULE_HEADER_TAGS_JCM_ANIMATE_TEXTA1', 'pulse', 'animation type', '6', '1', 'tep_cfg_select_option(array(\'\', \'flipInX\', \'flipInY\', \'bounce\', \'jackInTheBox\', \'pulse\', \'rubberBand\', \'shake\', \'bounceIn\', \'fadeIn\', \'rollIn\', \'swing\', \'tada\', \'jello\', \'heartBeat\', \'bounceInDown\', \'rotateIn\', \'slideInUp\', \'slideinDown\', \'zoomIn\'), ', now())");
	     tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Pick animation text A2', 'MODULE_HEADER_TAGS_JCM_ANIMATE_TEXTA2', 'pulse', 'animation type', '6', '1', 'tep_cfg_select_option(array(\'\', \'flipInX\', \'flipInY\', \'bounce\', \'jackInTheBox\', \'pulse\', \'rubberBand\', \'shake\', \'bounceIn\', \'fadeIn\', \'rollIn\', \'swing\', \'tada\', \'jello\', \'heartBeat\', \'bounceInDown\', \'rotateIn\', \'slideInUp\', \'slideinDown\', \'zoomIn\'), ', now())");
	     tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Pick animation text A3', 'MODULE_HEADER_TAGS_JCM_ANIMATE_TEXTA3', 'pulse', 'animation type', '6', '1', 'tep_cfg_select_option(array(\'\', \'flipInX\', \'flipInY\', \'bounce\', \'jackInTheBox\', \'pulse\', \'rubberBand\', \'shake\', \'bounceIn\', \'fadeIn\', \'rollIn\', \'swing\', \'tada\', \'jello\', \'heartBeat\', \'bounceInDown\', \'rotateIn\', \'slideInUp\', \'slideinDown\', \'zoomIn\'), ', now())");
	     tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Pick animation text A4', 'MODULE_HEADER_TAGS_JCM_ANIMATE_TEXTA4', 'pulse', 'animation type', '6', '1', 'tep_cfg_select_option(array(\'\', \'flipInX\', \'flipInY\', \'bounce\', \'jackInTheBox\', \'pulse\', \'rubberBand\', \'shake\', \'bounceIn\', \'fadeIn\', \'rollIn\', \'swing\', \'tada\', \'jello\', \'heartBeat\', \'bounceInDown\', \'rotateIn\', \'slideInUp\', \'slideinDown\', \'zoomIn\'), ', now())");
	     tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Pick animation text A5', 'MODULE_HEADER_TAGS_JCM_ANIMATE_TEXTA5', 'pulse', 'animation type', '6', '1', 'tep_cfg_select_option(array(\'\', \'flipInX\', \'flipInY\', \'bounce\', \'jackInTheBox\', \'pulse\', \'rubberBand\', \'shake\', \'bounceIn\', \'fadeIn\', \'rollIn\', \'swing\', \'tada\', \'jello\', \'heartBeat\', \'bounceInDown\', \'rotateIn\', \'slideInUp\', \'slideinDown\', \'zoomIn\'), ', now())");
	     tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Pick animation text A6', 'MODULE_HEADER_TAGS_JCM_ANIMATE_TEXTA6', 'pulse', 'animation type', '6', '1', 'tep_cfg_select_option(array(\'\', \'flipInX\', \'flipInY\', \'bounce\', \'jackInTheBox\', \'pulse\', \'rubberBand\', \'shake\', \'bounceIn\', \'fadeIn\', \'rollIn\', \'swing\', \'tada\', \'jello\', \'heartBeat\', \'bounceInDown\', \'rotateIn\', \'slideInUp\', \'slideinDown\', \'zoomIn\'), ', now())");
	     tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Pick animation text A7', 'MODULE_HEADER_TAGS_JCM_ANIMATE_TEXTA7', 'pulse', 'animation type', '6', '1', 'tep_cfg_select_option(array(\'\', \'flipInX\', \'flipInY\', \'bounce\', \'jackInTheBox\', \'pulse\', \'rubberBand\', \'shake\', \'bounceIn\', \'fadeIn\', \'rollIn\', \'swing\', \'tada\', \'jello\', \'heartBeat\', \'bounceInDown\', \'rotateIn\', \'slideInUp\', \'slideinDown\', \'zoomIn\'), ', now())");
	     tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Pick animation text A8', 'MODULE_HEADER_TAGS_JCM_ANIMATE_TEXTA8', 'pulse', 'animation type', '6', '1', 'tep_cfg_select_option(array(\'\', \'flipInX\', \'flipInY\', \'bounce\', \'jackInTheBox\', \'pulse\', \'rubberBand\', \'shake\', \'bounceIn\', \'fadeIn\', \'rollIn\', \'swing\', \'tada\', \'jello\', \'heartBeat\', \'bounceInDown\', \'rotateIn\', \'slideInUp\', \'slideinDown\', \'zoomIn\'), ', now())");
	    
         tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Animate text A1', 'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVETEXTA1', 'animated', 'animated or Blank', '6', '5', now())");
         tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Animate text A2', 'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVETEXTA2', 'animated', 'animated or Blank', '6', '5', now())");
         tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Animate text A3', 'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVETEXTA3', 'animated', 'animated or Blank', '6', '5', now())");
         tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Animate text A4', 'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVETEXTA4', 'animated', 'animated or Blank', '6', '5', now())");
         tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Animate text A5', 'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVETEXTA5', 'animated', 'animated or Blank', '6', '5', now())");
         tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Animate text A6', 'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVETEXTA6', 'animated', 'animated or Blank', '6', '5', now())");
         tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Animate text A7', 'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVETEXTA7', 'animated', 'animated or Blank', '6', '5', now())");
         tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Animate text A8', 'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVETEXTA8', 'animated', 'animated or Blank', '6', '5', now())");
         
         tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Pick animation text B1', 'MODULE_HEADER_TAGS_JCM_ANIMATE_TEXTB1', 'flipInX', 'animation type', '6', '1', 'tep_cfg_select_option(array(\'\', \'flipInX\', \'flipInY\', \'bounce\', \'jackInTheBox\', \'pulse\', \'rubberBand\', \'shake\', \'bounceIn\', \'fadeIn\', \'rollIn\', \'swing\', \'tada\', \'jello\', \'heartBeat\', \'bounceInDown\', \'rotateIn\', \'slideInUp\', \'slideinDown\', \'zoomIn\'), ', now())");
	     tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Pick animation text B2', 'MODULE_HEADER_TAGS_JCM_ANIMATE_TEXTB2', 'flipInX', 'animation type', '6', '1', 'tep_cfg_select_option(array(\'\', \'flipInX\', \'flipInY\', \'bounce\', \'jackInTheBox\', \'pulse\', \'rubberBand\', \'shake\', \'bounceIn\', \'fadeIn\', \'rollIn\', \'swing\', \'tada\', \'jello\', \'heartBeat\', \'bounceInDown\', \'rotateIn\', \'slideInUp\', \'slideinDown\', \'zoomIn\'), ', now())");
	     tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Pick animation text B3', 'MODULE_HEADER_TAGS_JCM_ANIMATE_TEXTB3', 'flipInX', 'animation type', '6', '1', 'tep_cfg_select_option(array(\'\', \'flipInX\', \'flipInY\', \'bounce\', \'jackInTheBox\', \'pulse\', \'rubberBand\', \'shake\', \'bounceIn\', \'fadeIn\', \'rollIn\', \'swing\', \'tada\', \'jello\', \'heartBeat\', \'bounceInDown\', \'rotateIn\', \'slideInUp\', \'slideinDown\', \'zoomIn\'), ', now())");
	     tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Pick animation text B4', 'MODULE_HEADER_TAGS_JCM_ANIMATE_TEXTB4', 'flipInX', 'animation type', '6', '1', 'tep_cfg_select_option(array(\'\', \'flipInX\', \'flipInY\', \'bounce\', \'jackInTheBox\', \'pulse\', \'rubberBand\', \'shake\', \'bounceIn\', \'fadeIn\', \'rollIn\', \'swing\', \'tada\', \'jello\', \'heartBeat\', \'bounceInDown\', \'rotateIn\', \'slideInUp\', \'slideinDown\', \'zoomIn\'), ', now())");
	     tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Pick animation text B5', 'MODULE_HEADER_TAGS_JCM_ANIMATE_TEXTB5', 'flipInX', 'animation type', '6', '1', 'tep_cfg_select_option(array(\'\', \'flipInX\', \'flipInY\', \'bounce\', \'jackInTheBox\', \'pulse\', \'rubberBand\', \'shake\', \'bounceIn\', \'fadeIn\', \'rollIn\', \'swing\', \'tada\', \'jello\', \'heartBeat\', \'bounceInDown\', \'rotateIn\', \'slideInUp\', \'slideinDown\', \'zoomIn\'), ', now())");
	     tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Pick animation text B6', 'MODULE_HEADER_TAGS_JCM_ANIMATE_TEXTB6', 'flipInX', 'animation type', '6', '1', 'tep_cfg_select_option(array(\'\', \'flipInX\', \'flipInY\', \'bounce\', \'jackInTheBox\', \'pulse\', \'rubberBand\', \'shake\', \'bounceIn\', \'fadeIn\', \'rollIn\', \'swing\', \'tada\', \'jello\', \'heartBeat\', \'bounceInDown\', \'rotateIn\', \'slideInUp\', \'slideinDown\', \'zoomIn\'), ', now())");
	     tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Pick animation text B7', 'MODULE_HEADER_TAGS_JCM_ANIMATE_TEXTB7', 'flipInX', 'animation type', '6', '1', 'tep_cfg_select_option(array(\'\', \'flipInX\', \'flipInY\', \'bounce\', \'jackInTheBox\', \'pulse\', \'rubberBand\', \'shake\', \'bounceIn\', \'fadeIn\', \'rollIn\', \'swing\', \'tada\', \'jello\', \'heartBeat\', \'bounceInDown\', \'rotateIn\', \'slideInUp\', \'slideinDown\', \'zoomIn\'), ', now())");
	     tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Pick animation text B8', 'MODULE_HEADER_TAGS_JCM_ANIMATE_TEXTB8', 'flipInX', 'animation type', '6', '1', 'tep_cfg_select_option(array(\'\', \'flipInX\', \'flipInY\', \'bounce\', \'jackInTheBox\', \'pulse\', \'rubberBand\', \'shake\', \'bounceIn\', \'fadeIn\', \'rollIn\', \'swing\', \'tada\', \'jello\', \'heartBeat\', \'bounceInDown\', \'rotateIn\', \'slideInUp\', \'slideinDown\', \'zoomIn\'), ', now())");
	    
         tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Animate text B1', 'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVETEXTB1', 'animated', 'animated or Blank', '6', '5', now())");
         tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Animate text B2', 'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVETEXTB2', 'animated', 'animated or Blank', '6', '5', now())");
         tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Animate text B3', 'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVETEXTB3', 'animated', 'animated or Blank', '6', '5', now())");
         tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Animate text B4', 'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVETEXTB4', 'animated', 'animated or Blank', '6', '5', now())");
         tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Animate text B5', 'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVETEXTB5', 'animated', 'animated or Blank', '6', '5', now())");
         tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Animate text B6', 'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVETEXTB6', 'animated', 'animated or Blank', '6', '5', now())");
         tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Animate text B7', 'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVETEXTB7', 'animated', 'animated or Blank', '6', '5', now())");
         tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Animate text B8', 'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVETEXTB8', 'animated', 'animated or Blank', '6', '5', now())");
           
    }

    function remove() {
      tep_db_query("delete from configuration where configuration_key in ('" . implode("', '", $this->keys()) . "')");
    }

    function keys() {
      return array('MODULE_HEADER_TAGS_JCM_ANIMATE_STATUS',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_PAGES',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_SORT_ORDER',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_CLASS1',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_CLASS2',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_CLASS3',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_CLASS4',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_CLASS5',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_CLASS6',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_CLASS7',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_CLASS8',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVE1',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVE2',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVE3',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVE4',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVE5',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVE6',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVE7',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVE8',
      
      'MODULE_HEADER_TAGS_JCM_ANIMATE_TEXTA_DELAY',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_TEXTB_DELAY',
      
      'MODULE_HEADER_TAGS_JCM_ANIMATE_TEXTA1',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_TEXTA2',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_TEXTA3',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_TEXTA4',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_TEXTA5',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_TEXTA6',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_TEXTA7',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_TEXTA8',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVETEXTA1',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVETEXTA2',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVETEXTA3',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVETEXTA4',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVETEXTA5',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVETEXTA6',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVETEXTA7',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVETEXTA8',
      
      'MODULE_HEADER_TAGS_JCM_ANIMATE_TEXTB1',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_TEXTB2',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_TEXTB3',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_TEXTB4',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_TEXTB5',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_TEXTB6',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_TEXTB7',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_TEXTB8',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVETEXTB1',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVETEXTB2',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVETEXTB3',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVETEXTB4',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVETEXTB5',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVETEXTB6',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVETEXTB7',
      'MODULE_HEADER_TAGS_JCM_ANIMATE_ACTIVETEXTB8');
    }

    function get_default_pages() {
      return array('advanced_search_result.php',
                   'index.php',
                   'product_info.php',
                   'products_new.php',
                   'specials.php');
    }
  }

  function ht_jcm_animate_show_pages($text) {
    return nl2br(implode("\n", explode(';', $text)));
  }

  function ht_jcm_animate_edit_pages($values, $key) {
    global $PHP_SELF;

    $file_extension = substr($PHP_SELF, strrpos($PHP_SELF, '.'));
    $files_array = array();
	  if ($dir = @dir(DIR_FS_CATALOG)) {
	    while ($file = $dir->read()) {
	      if (!is_dir(DIR_FS_CATALOG . $file)) {
	        if (substr($file, strrpos($file, '.')) == $file_extension) {
            $files_array[] = $file;
          }
        }
      }
      sort($files_array);
      $dir->close();
    }

    $values_array = explode(';', $values);

    $output = '';
    foreach ($files_array as $file) {
      $output .= tep_draw_checkbox_field('ht_jcm_animate_file[]', $file, in_array($file, $values_array)) . '&nbsp;' . tep_output_string($file) . '<br />';
    }

    if (!empty($output)) {
      $output = '<br />' . substr($output, 0, -6);
    }

    $output .= tep_draw_hidden_field('configuration[' . $key . ']', '', 'id="htrn_files"');

    $output .= '<script>
                function htrn_update_cfg_value() {
                  var htrn_selected_files = \'\';

                  if ($(\'input[name="ht_jcm_animate_file[]"]\').length > 0) {
                    $(\'input[name="ht_jcm_animate_file[]"]:checked\').each(function() {
                      htrn_selected_files += $(this).attr(\'value\') + \';\';
                    });

                    if (htrn_selected_files.length > 0) {
                      htrn_selected_files = htrn_selected_files.substring(0, htrn_selected_files.length - 1);
                    }
                  }

                  $(\'#htrn_files\').val(htrn_selected_files);
                }

                $(function() {
                  htrn_update_cfg_value();

                  if ($(\'input[name="ht_jcm_animate_file[]"]\').length > 0) {
                    $(\'input[name="ht_jcm_animate_file[]"]\').change(function() {
                      htrn_update_cfg_value();
                    });
                  }
                });
                </script>';

    return $output;
  }